       PROGRAM SEIRA
C
C  Ypologizei to athroisma kai to plnthos twv orwv
C  tns seiras 1 + 1/2 + 1/3 + 1/4 + ...
C  mexri tov oro pou eivai mikroteros apo 0.005
C
       REAL SUM,TERM,EPSLON
       INTEGER COUNT
       EPSLON = 5.E-3
       TERM = 1.0
       COUNT = 1
       SUM = 0.
 10    IF (TERM .GE. EPSLON) THEN
         SUM = SUM + TERM
         COUNT = COUNT + 1
         TERM = 1./FLOAT(COUNT)
         WRITE(*,100) TERM,COUNT
         GOTO 10
       ENDIF
       WRITE(*,*) 'Athroisma = ',SUM,' Plnthos orwv = ',COUNT-1
 100   FORMAT(1X,'Oros =',F10.6,3X,'Plnthos orwv = ',I3)
       STOP
       END
